Netapi32Util.DomainController (JNA API)

com.sun.jna.platform.win32

## Class Netapi32Util.DomainController

- java.lang.Object
- - com.sun.jna.platform.win32.Netapi32Util.DomainController

- Enclosing class:
    Netapi32Util

      public static class Netapi32Util.DomainController
      extends java.lang.Object

  A domain controller.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `address` Specifies the address of the discovered domain controller.
    `int` | `addressType` Indicates the type of string that is contained in the DomainControllerAddress member.
    `java.lang.String` | `clientSiteName` The name of the site that the computer belongs to.
    `java.lang.String` | `dnsForestName` Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree.
    `Guid.GUID` | `domainGuid` The GUID of the domain.
    `java.lang.String` | `domainName` Pointer to a null-terminated string that specifies the name of the domain.
    `int` | `flags` Contains a set of flags that describe the domain controller.
    `java.lang.String` | `name` Specifies the computer name of the discovered domain controller.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainController()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      Specifies the computer name of the discovered domain controller.

    - #### address

          public java.lang.String address

      Specifies the address of the discovered domain controller.

    - #### addressType

          public int addressType

      Indicates the type of string that is contained in the DomainControllerAddress member.

    - #### domainGuid

          public Guid.GUID domainGuid

      The GUID of the domain.

    - #### domainName

          public java.lang.String domainName

      Pointer to a null-terminated string that specifies the name of the domain.

    - #### dnsForestName

          public java.lang.String dnsForestName

      Pointer to a null-terminated string that specifies the name of the domain at the root of the DS tree.

    - #### flags

          public int flags

      Contains a set of flags that describe the domain controller.

    - #### clientSiteName

          public java.lang.String clientSiteName

      The name of the site that the computer belongs to.

  - ### Constructor Detail

    - #### DomainController

          public DomainController()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.